Bug 97875 - LCD flickering on Acer Aspire V3-772G with kernel 4.7.3 (PSR enabled)
Summary: LCD flickering on Acer Aspire V3-772G with kernel 4.7.3 (PSR enabled)
Status: CLOSED FIXED
Alias: None
Product: DRI
Classification: Unclassified
Component: DRM/Intel (show other bugs)
Version: XOrg git
Hardware: x86-64 (AMD64) Linux (All)
: medium normal
Assignee: Intel GFX Bugs mailing list
QA Contact: Intel GFX Bugs mailing list
URL:
Whiteboard:
Keywords:
Depends on:
Blocks:
 
Reported: 2016-09-20 17:06 UTC by madebr
Modified: 2017-03-08 07:24 UTC (History)
3 users (show)

See Also:
i915 platform: HSW
i915 features: display/PSR


Attachments
full dmesg output with the following extra options: i915.enable_psr=0x2 log_buf_len=10M drm.debug=0x1e (646.58 KB, text/plain)
2016-09-20 17:06 UTC, madebr
no flags Details
full dmesg output with the following extra options: log_buf_len=10M drm.debug=0x1e (860.56 KB, text/plain)
2016-09-21 11:42 UTC, madebr
no flags Details
fedora wayland live dmesg output: log_buf_len=10M drm.debug=0x1e (833.20 KB, text/plain)
2016-10-13 16:02 UTC, madebr
no flags Details

Note You need to log in before you can comment on or make changes to this bug.
Description madebr 2016-09-20 17:06:08 UTC
Created attachment 126666 [details]
full dmesg output with the following extra options: i915.enable_psr=0x2 log_buf_len=10M drm.debug=0x1e

Hi,

Since the update from Fedora 22 to 24 and the associated upgrade of the kernel to 4.6/4.7,
the screen of my Acer Aspire V3-772G (Intel i7-4702MQ, GTX760M) has started to flicker.
The flickering starts immediately when the user login screen appears.

The flickering does happen occasionally when moving the mouse or when having something visible on the screen that moves (e.g. a watch command that has its output changed regularly or a youtube movie..).

The flickering does not occur when passing i915.enable_psr=0 to the kernel.

System: Acer Aspire V3-772G: i7-4702MQ, GTX760M (Optimus), no external display.

$ uname -m
x86_64
$ uname -r
4.7.3-200.fc24.x86_64
$ cat /etc/system-release
Fedora release 24 (Twenty Four)
# lspci -s 00:02.0 -v
00:02.0 VGA compatible controller: Intel Corporation 4th Gen Core Processor Integrated Graphics Controller (rev 06) (prog-if 00 [VGA controller])
	Subsystem: Acer Incorporated [ALI] Device 0781
	Flags: bus master, fast devsel, latency 0, IRQ 31
	Memory at d3000000 (64-bit, non-prefetchable) [size=4M]
	Memory at c0000000 (64-bit, prefetchable) [size=256M]
	I/O ports at 5000 [size=64]
	[virtual] Expansion ROM at 000c0000 [disabled] [size=128K]
	Capabilities: [90] MSI: Enable+ Count=1/1 Maskable- 64bit-
	Capabilities: [d0] Power Management version 2
	Capabilities: [a4] PCI Advanced Features
	Kernel driver in use: i915
	Kernel modules: i915

Attached is a full dmesg output with the following extra options:
i915.enable_psr=0x2 log_buf_len=10M drm.debug=0x1e
Comment 1 Jani Nikula 2016-09-20 17:33:47 UTC
(In reply to madebr from comment #0)
> The flickering does not occur when passing i915.enable_psr=0 to the kernel.

Does it occur *without* any i915.enable_psr option?
Comment 2 madebr 2016-09-20 20:27:41 UTC
Yes.

I've explicitly added the enable_psr option so you would know what value it had.
Comment 3 Jani Nikula 2016-09-21 07:19:11 UTC
(In reply to madebr from comment #2)
> Yes.
> 
> I've explicitly added the enable_psr option so you would know what value it
> had.

The point is, we basically only support the platform default value (i.e. no option given).
Comment 4 yann 2016-09-21 08:56:45 UTC
(In reply to Jani Nikula from comment #3)
> (In reply to madebr from comment #2)
> > Yes.
> > 
> > I've explicitly added the enable_psr option so you would know what value it
> > had.
> 
> The point is, we basically only support the platform default value (i.e. no
> option given).

default is: -1 which means use per-chip for HSW system that psr is enabled (set to 1 on this platform)

please, as Jani said, confirm result without setting enable_psr option in your boot command line.
Comment 5 madebr 2016-09-21 11:42:32 UTC
Created attachment 126701 [details]
full dmesg output with the following extra options: log_buf_len=10M drm.debug=0x1e
Comment 6 madebr 2016-10-13 16:02:36 UTC
Created attachment 127275 [details]
fedora wayland live dmesg output: log_buf_len=10M drm.debug=0x1e

Using the Fedora Wayland Test Day Live Image, the bug is still around.
https://fedoraproject.org/wiki/Test_Day:2016-10-13_Wayland

i915.enable_psr=0 keeps the flickering away

kernel version:
4.8.1-1.fc25.x86_64
Comment 7 Paulo Zanoni 2016-12-16 16:28:37 UTC
(In reply to madebr from comment #6)
> i915.enable_psr=0 keeps the flickering away
> 

We just merged a patch to disable PSR by default:

commit 2ee7dc497e348eecbb82adbb1ea9e9a7e29fe921
    drm/i915: disable PSR by default on HSW/BDW

This commit is marked for inclusion in the stable Kernels, so it should reach your Linux distribution at some point soon.

Thank you for your bug report. In case you think the problem still happens, please feel free to reopen the bug.
Comment 8 Jani Saarinen 2016-12-21 08:21:20 UTC
Reporter, please report if issue fixed.
Comment 9 Jani Saarinen 2017-03-08 07:24:09 UTC
No feedback received, please re-open if occurs again.


Use of freedesktop.org services, including Bugzilla, is subject to our Code of Conduct. How we collect and use information is described in our Privacy Policy.